package com.ruoyi.system.mapper;

import org.apache.ibatis.annotations.Param;
import java.util.List;
import com.ruoyi.system.domain.SysMenu;

public interface SysMenuMapper
{
    List<SysMenu> selectMenuList(final SysMenu p0);
    
    List<String> selectMenuPerms();
    
    List<SysMenu> selectMenuListByUserId(final SysMenu p0);
    
    List<String> selectMenuPermsByRoleId(final Long p0);
    
    List<String> selectMenuPermsByUserId(final Long p0);
    
    List<SysMenu> selectMenuTreeAll();
    
    List<SysMenu> selectMenuTreeByUserId(final Long p0);
    
    List<Long> selectMenuListByRoleId(@Param("roleId") final Long p0, @Param("menuCheckStrictly") final boolean p1);
    
    SysMenu selectMenuById(final Long p0);
    
    int hasChildByMenuId(final Long p0);
    
    int insertMenu(final SysMenu p0);
    
    int updateMenu(final SysMenu p0);
    
    int deleteMenuById(final Long p0);
    
    SysMenu checkMenuNameUnique(@Param("menuName") final String p0, @Param("parentId") final Long p1);
}
